# TdApi.MessageThreadInfo (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageThreadInfo

Package it.tdlight.jni

# Class TdApi.MessageThreadInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageThreadInfo

Enclosing class:
  TdApi

    public static class TdApi.MessageThreadInfo
    extends TdApi.Object

Contains information about a message thread.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Identifier of the chat to which the message thread belongs.
`static int` | `CONSTRUCTOR` |
`TdApi.DraftMessage` | `draftMessage` | A draft of a message in the message thread; may be null.
`TdApi.Message[]` | `messages` | The messages from which the thread starts.
`long` | `messageThreadId` | Message thread identifier, unique within the chat.
`TdApi.MessageReplyInfo` | `replyInfo` | Contains information about the message thread.
`int` | `unreadMessageCount` | Approximate number of unread messages in the message thread.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageThreadInfo()` | Contains information about a message thread.
`MessageThreadInfo​(long chatId, long messageThreadId, TdApi.MessageReplyInfo replyInfo, int unreadMessageCount, TdApi.Message[] messages, TdApi.DraftMessage draftMessage)` | Contains information about a message thread.
`MessageThreadInfo​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the message thread belongs.

### messageThreadId

public long messageThreadId
Message thread identifier, unique within the chat.

### replyInfo

public TdApi.MessageReplyInfo replyInfo
Contains information about the message thread.

### unreadMessageCount

public int unreadMessageCount
Approximate number of unread messages in the message thread.

### messages

public TdApi.Message[] messages
The messages from which the thread starts. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId).

### draftMessage

public TdApi.DraftMessage draftMessage
A draft of a message in the message thread; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageThreadInfo

public MessageThreadInfo()
Contains information about a message thread.

### MessageThreadInfo

public MessageThreadInfo​(long chatId, long messageThreadId, TdApi.MessageReplyInfo replyInfo, int unreadMessageCount, TdApi.Message[] messages, TdApi.DraftMessage draftMessage)
Contains information about a message thread.

Parameters:
  `chatId` - long Identifier of the chat to which the message thread belongs.
  `messageThreadId` - long Message thread identifier, unique within the chat.
  `replyInfo` - MessageReplyInfo Contains information about the message thread.
  `unreadMessageCount` - int Approximate number of unread messages in the message thread.
  `messages` - Message[] The messages from which the thread starts. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId).
  `draftMessage` - DraftMessage A draft of a message in the message thread; may be null.

### MessageThreadInfo

public MessageThreadInfo​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`